octonet - Segnalazione #257

Octonet - Access Denied
05/16/2017 10:11 AM - Michael Guggenberg

Status: Chiuso Start date: 05/16/2017
Priority: Normale Due date:

Assignee: TRUELITE % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

ii octonet 0.2.6-1

i octofussd 8.0.21-1

Accedo da remoto all' interfaccio octonet, mi autentifico con la credenziale di root, ricevo access denied.

I'errore di octofussd, octofussd.log:

2017-05-16T09:59:34+0200 [stderr#error] Traceback (most recent call last):

2017-05-16T09:59:34+0200 [stderr#error] File "/usr/lib/python3/dist-packages/octofuss/xmirpc.py"”, line 152, in _wrap_call
2017-05-16T09:59:34+0200 [stderr#error]  raise APIKeyException("Invalid API key")

2017-05-16T09:59:34+0200 [stderr#error] octofuss.xmirpc.APIKeyException: Invalid APl key

2017-05-16T09:59:34+0200 [twisted.python.log#info] 127.0.0.1 - - [16/May/2017:07:59:33 +0000] "POST /conf/ HTTP/1.1" 200 204
"-" "Python-xmlrpc/3.4"

2017-05-16T09:59:34+0200 [stderr#error] Traceback (most recent call last):

2017-05-16T09:59:34+0200 [stderr#error] File "/usr/lib/python3/dist-packages/octofuss/xmirpc.py"”, line 152, in _wrap_call
2017-05-16T09:59:34+0200 [stderr#error]  raise APIKeyException("Invalid API key")

2017-05-16T09:59:34+0200 [stderr#error] octofuss.xmlrpc.APIKeyException: Invalid APl key

2017-05-16T09:59:34+0200 [twisted.python.log#info] 127.0.0.1 - - [16/May/2017:07:59:34 +0000] "POST /conf/ HTTP/1.1" 200 204
"-" "Python-xmlrpc/3.4"

2017-05-16T09:59:51+0200 [twisted.python.log#info] 127.0.0.1 - - [16/May/2017:07:59:49 +0000] "POST /conf/ HTTP/1.1" 200 158
"-" "Python-xmlrpc/3.4"

Allego lo screenshot

History

#1 - 05/16/2017 10:14 AM - Michael Guggenberg

ricarico l'interfaccia web da browser, ho accesso.

#2 - 05/16/2017 11:06 AM - Elena Grandi
- Assignee changed from TRUELITE to Michael Guggenberg

Con "da remoto" cosa si intende esattamente?

Da un'altro computer della rete locale? o proprio da fuori dalla rete locale?

#3 - 05/16/2017 11:24 AM - Michael Guggenberg

Elena Grandi ha scritto:
Con "da remoto" cosa si intende esattamente?

Da un'altro computer della rete locale? o proprio da fuori dalla rete locale?

da stesso range lato wan, succede comunque anche da range interno, non riesco pero a riprodurre I' erorre.
#4 - 06/23/2017 10:07 AM - Michael Guggenberg

- Assignee changed from Michael Guggenberg to Elena Grandi

#5 - 06/23/2017 10:39 AM - Christopher R. Gabriel

- Assignee changed from Elena Grandi to Michael Guggenberg

Sembra il tentativo di accedere ad un url prima di passare dal login, se provi ad andare sulla / di octonet hai lo stesso errore?

#6 - 06/23/2017 11:47 AM - Michael Guggenberg

/ mi da access denied, mi riautentifico e ho accesso.

#7 - 06/23/2017 11:47 AM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to Christopher R. Gabriel

#8 - 06/23/2017 11:53 AM - Christopher R. Gabriel

- Status changed from Nuovo to Commenti

- Assignee changed from Christopher R. Gabriel to Michael Guggenberg

Se c'e' stato un riavvio di octofussd, la chiave di accesso puo' essere scaduta. La sessione €' in ram.

Se ti autentichi e hai accesso, come scritto nel commento precedente, quale €' il problema descritto nel ticket?

#9 - 06/28/2017 08:12 AM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to TRUELITE

Problema ¢ descritto nel ogetto, access denied, anche dopo I' autenticazione coretta.
Non ho riavviato octofussd, ma dato che la questine si risolve ricaricand l'interfaccie web di octonet chiudo come risolto

#10 - 06/28/2017 08:12 AM - Michael Guggenberg
- % Done changed from 0 to 100

#11 - 06/28/2017 11:13 AM - Elena Grandi

- Status changed from Commenti to Chiuso
